Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Class GetMessageAcknowledgmentsStatusResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.ResponseType
          be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessageAcknowledgmentsStatusResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:30+01:00",
               comments="JAXB RI v2.2.11")
    public class GetMessageAcknowledgmentsStatusResponse

extends ResponseType
implements Serializable

Java class for GetMessageAcknowledgmentsStatusResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetMessageAcknowledgmentsStatusResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="AcknowledgmentsStatus">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="Row" maxOccurs="unbounded">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <element name="Recipient" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType"/>
                                 <element name="Published" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                                 <element name="Received" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                                 <element name="Read" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                               </sequence>
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetMessageAcknowledgmentsStatusResponse()`

Method Summary
`AcknowledgmentsStatus` | `getAcknowledgmentsStatus()` Gets the value of the acknowledgmentsStatus property.
`void` | `setAcknowledgmentsStatus(AcknowledgmentsStatus value)` Sets the value of the acknowledgmentsStatus property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetMessageAcknowledgmentsStatusResponse

    public GetMessageAcknowledgmentsStatusResponse()

Method Detail

### getAcknowledgmentsStatus

    public AcknowledgmentsStatus getAcknowledgmentsStatus()

  Gets the value of the acknowledgmentsStatus property.

  Returns:
    possible object is `AcknowledgmentsStatus`

### setAcknowledgmentsStatus

    public void setAcknowledgmentsStatus(AcknowledgmentsStatus value)

  Sets the value of the acknowledgmentsStatus property.

  Parameters:
    `value` - allowed object is `AcknowledgmentsStatus`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.